Skip to main content
`Ctrl`+`K`

# Reference/API

## astropy.timeseries Package

This subpackage contains classes and functions for work with time series.

### Functions

`aggregate_downsample`(time_series, *[, ...]) | Downsample a time series by binning values into bins with a fixed size or custom sizes, using a single function to combine the values in the bin.
`autocheck_required_columns`(cls) | This is a decorator that ensures that the table contains specific methods indicated by the _required_columns attribute.

### Classes

`BasePeriodogram`(t, y[, dy]) |
`BaseTimeSeries`([data, masked, names, dtype, ...]) |
`BinnedTimeSeries`([data, time_bin_start, ...]) | A class to represent binned time series data in tabular form.
`BoxLeastSquares`(t, y[, dy]) | Compute the box least squares periodogram.
`BoxLeastSquaresResults`(*args) | The results of a BoxLeastSquares search.
`LombScargle`(t, y[, dy, fit_mean, ...]) | Compute the Lomb-Scargle Periodogram.
`LombScargleMultiband`(t, y, bands[, dy, ...]) | Compute the Lomb-Scargle Periodogram.
`TimeSeries`([data, time, time_start, ...]) | A class to represent time series data in tabular form.

### Class Inheritance Diagram

## astropy.timeseries.io Package

### Functions

`kepler_fits_reader`(filename[, unit_parse_strict]) | This serves as the FITS reader for KEPLER or TESS files within astropy-timeseries.